| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.ModelData Class Reference

Data from model. More...

List of all members.

## Public Member Functions
| ModelData ()
| Constructor.
## Public Attributes
long | earthModel
| Earth model.
long | sunModel
| Sun model.
long | moonModel
| Moon model.
long | planetModel
| Planets model.
long | starModel
| Stars model.
long | nutationModel
| Nutation model.
long | precessionModel
| Precession model.
long | constantsModel
| Constants model.
long | lightPropagationModel
| Light propagation model.
double | re
| Earth equatorial radius [m].
double | mu
| Earth's gravitational constant [m3/s2].
double | j2
| Second zonal harmonic.
double | j3
| Third zonal harmonic.
double | j4
| Fourth zonal harmonic.
double | majorAxis
| Semi-major axis [m].
double | minorAxis
| Semi-minor axis [m].
double | ecc
| First eccentricity [-].
double | flat
| Flattening [-].
double | gcoef0
double | gcoef1
double | gcoef2
double | gcoefSim0
double | gcoefSim1
double | gcoefSim2
double | au
| Astronomical unit in kms.

## Detailed Description

Data from model.

## Constructor & Destructor Documentation

EECFI.ModelData.ModelData | ( |  | ) |

Constructor.

## Member Data Documentation

double EECFI.ModelData.au

Astronomical unit in kms.

long EECFI.ModelData.constantsModel

Constants model.

long EECFI.ModelData.earthModel

Earth model.

double EECFI.ModelData.ecc

First eccentricity [-].

double EECFI.ModelData.flat

Flattening [-].

double EECFI.ModelData.gcoef0

double EECFI.ModelData.gcoef1

double EECFI.ModelData.gcoef2

double EECFI.ModelData.gcoefSim0

double EECFI.ModelData.gcoefSim1

double EECFI.ModelData.gcoefSim2

double EECFI.ModelData.j2

Second zonal harmonic.

double EECFI.ModelData.j3

Third zonal harmonic.

double EECFI.ModelData.j4

Fourth zonal harmonic.

long EECFI.ModelData.lightPropagationModel

Light propagation model.

double EECFI.ModelData.majorAxis

Semi-major axis [m].

double EECFI.ModelData.minorAxis

Semi-minor axis [m].

long EECFI.ModelData.moonModel

Moon model.

double EECFI.ModelData.mu

Earth's gravitational constant [m3/s2].

long EECFI.ModelData.nutationModel

Nutation model.

long EECFI.ModelData.planetModel

Planets model.

long EECFI.ModelData.precessionModel

Precession model.

double EECFI.ModelData.re

Earth equatorial radius [m].

long EECFI.ModelData.starModel

Stars model.

long EECFI.ModelData.sunModel

Sun model.